Package org.eclipse.emf.compare.postprocessor

# Class BasicPostProcessorDescriptorImpl

java.lang.Object
org.eclipse.emf.compare.postprocessor.BasicPostProcessorDescriptorImpl

All Implemented Interfaces:
  `IPostProcessor.Descriptor`

public class BasicPostProcessorDescriptorImpl extends Object implements IPostProcessor.Descriptor
A simple implementation of `IPostProcessor.Descriptor` that will delegate its method implementation to values given to its constructor.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.postprocessor.IPostProcessor.Descriptor

`IPostProcessor.Descriptor.Registry<K>`

## Constructor Summary

Constructors
Constructor
Description
`BasicPostProcessorDescriptorImpl(IPostProcessor postProcessor, Pattern nsURI, Pattern resourceURI)`
Constructs a new descriptor with the given value.

## Method Summary

Modifier and Type
Method
Description
`String`
`getInstanceClassName()`
Returns the class name of the instance that will be returned by `IPostProcessor.Descriptor.getPostProcessor()`.
`Pattern`
`getNsURI()`
Returns the pattern of namespace URI on which this post processor can be applied.
`int`
`getOrdinal()`
Returns the ordinal of this post processor.
`IPostProcessor`
`getPostProcessor()`
Returns the wrapped post processor.
`Pattern`
`getResourceURI()`
Returns the pattern of resource URI on which this post processor can be applied.
`void`
`setOrdinal(int parseInt)`
Set the ordinal of this post processor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicPostProcessorDescriptorImpl

public BasicPostProcessorDescriptorImpl(IPostProcessor postProcessor, Pattern nsURI, Pattern resourceURI)
Constructs a new descriptor with the given value.

Parameters:
  `postProcessor` - the described post processor
  `nsURI` - The nsURI pattern on which the described post processor applied to. May be `null` .
  `resourceURI` - The resourceURI pattern on which the described post processor applied to. May be `null`

## Method Details

### getNsURI

public Pattern getNsURI()
Returns the pattern of namespace URI on which this post processor can be applied.

Specified by:
  `getNsURI` in interface `IPostProcessor.Descriptor`
Returns:
  The namespace URI pattern.
See Also:
  - `IPostProcessor.Descriptor.getNsURI()`

### getResourceURI

public Pattern getResourceURI()
Returns the pattern of resource URI on which this post processor can be applied.

Specified by:
  `getResourceURI` in interface `IPostProcessor.Descriptor`
Returns:
  The resource URI.
See Also:
  - `IPostProcessor.Descriptor.getResourceURI()`

### getInstanceClassName

public String getInstanceClassName()
Returns the class name of the instance that will be returned by `IPostProcessor.Descriptor.getPostProcessor()`.

Specified by:
  `getInstanceClassName` in interface `IPostProcessor.Descriptor`
Returns:
  the class name of the instance that will be returned by `IPostProcessor.Descriptor.getPostProcessor()`.
See Also:
  - `IPostProcessor.Descriptor.getInstanceClassName()`

### getPostProcessor

public IPostProcessor getPostProcessor()
Returns the wrapped post processor.

Specified by:
  `getPostProcessor` in interface `IPostProcessor.Descriptor`
Returns:
  the wrapped post processor
See Also:
  - `IPostProcessor.Descriptor.getPostProcessor()`

### getOrdinal

public int getOrdinal()
Returns the ordinal of this post processor.

Specified by:
  `getOrdinal` in interface `IPostProcessor.Descriptor`
Returns:
  The ordinal.
See Also:
  - `IPostProcessor.Descriptor.getOrdinal()`

### setOrdinal

public void setOrdinal(int parseInt)
Set the ordinal of this post processor.

Specified by:
  `setOrdinal` in interface `IPostProcessor.Descriptor`
Parameters:
  `parseInt` - The ordinal.
See Also:
  - `IPostProcessor.Descriptor.setOrdinal(int)`